<?php
//deklarace promnn se jmnem souboru novinek
$dataFile = "./news.txt";

/*
Promnn $dataFile definuje jmno datovho souboru (nap. news.txt) a mla by bt deklarovna ve strnce,
kde se m funkce pout (te je pouita zde, ale me bt kdekoliv jinde ped vlastnm pouitm funkce).

Struktura souboru je nsledujc:
#nadpis - to co bude napsno tady se vlo do <h4></h4>
text novinky <a href="odkaz">odkaz</a> atd. - to co bude napsno tady se vlo do <p></p>

Promnn $All je typu boolean a uruje, zda se m zobrazit jen prvnch X (v tomto pkladu 3) novinek
nebo vechny (kdy je True, tak se zobraz vechny)
*/
function GetNews($dataFile, $All)
{
	$dataCnt = 0;

	//kontrola existence souboru
	if (File_Exists($dataFile)):
		//otevreni souboru
		$fp = FOpen($dataFile, "r");
		//pokud byla chyba, tak konec
		if (!$fp) return;
		//nacitam v cyklu radky souboru
		do
		{
			//nacteni radku
			$Row = FGetS($fp, 32700);
			//pokud byla chyba, tak konec cyklu
			if (!$Row) break;
			//odstraneni prebytecnych mezer
			$Row = Chop($Row);
			//pokud je retezec neprazdny, tak pracuj
			if (StrLen($Row)>0):
				//kdyz je na prvni pozici #, je to nadpis
				if (SubStr($Row, 0, 1)=="#"):
					//zpracovani nadpisu
					//inkrementace poctu nadpisu
					$dataCnt = $dataCnt + 1;
					//pokud je vic jak trti, tak konec cyklu
					if (!$All and ($dataCnt > 3)) break;
					//odstraneni prvniho znaku
					$Row = Chop(SubStr($Row, 1, StrLen($Row)));
					//vypsani nadpisu - h4 je mozne zmenit na jiny typ nadpisu
?>
				<h3><?php echo $Row; ?></h3>
<?php
				else:
					//pokud neni nadpis, vypis text jako odstavec
?>
				<p><?php echo $Row; ?></p>
<?php
				endif;
			endif;
			//pokud se zobrazuje jen cast ($All == False), tak po tet novince skonm
			if (!$All and ($dataCnt > 3)) break;
		//ctu radky az do konce souboru
		}  while (!FEof($fp));
		//zavreni souboru
		FClose($fp);
		//pokud se zobrazuje jen cast ($All == False)
		if (!$All):
			//a pokud je pocet nadpisu ruzny od 0
			if ($dataCnt<>0):
			//vypis odkaz na vsechny novinky
?>
				<p><a href="novinky.php">Zobrazit vechny novinky</a></p>
<?php else:
			//nebyly zadne nadpisy = nejsou novinky
?>
				<p>V souasn dob nejsou k dispozici dn novinky.</p>
<?php
			endif;
		else:
			//zobrazuji se vsechny novinky, ale
			if ($dataCnt==0):
			//nebyly zadne nadpisy = nejsou novinky
?>
				<p>V souasn dob nejsou k dispozici dn novinky.</p>
<?php
			endif;
		endif;
	else:
	//vypis chyby
?>
				<p>Seznam novinek se nepodailo nast.</p>
<?php
		return;
	endif;
}
?>
